# Rally Rush: godot::KeyPickup Class Reference

Loading...
Searching...
No Matches
godot::KeyPickup Class Reference

Area3D that notifies the RallyRushGameMode and destroys itself when the player enters it. More...

`#include <key_pickup.hpp>`

Inheritance diagram for godot::KeyPickup:

## Public Member Functions

virtual void | _enter_tree () override
| Connect body_entered observer.

## Protected Member Functions

void | body_entered (Node *node)
| Notify RallyRushGameMode that a key is found and destroy, if the entered node is a CarPlayer.

## Private Member Functions

| GDCLASS (KeyPickup, Area3D)

## Static Private Member Functions

static void | _bind_methods ()
| Required to be a valid godot class.

## Detailed Description

Area3D that notifies the RallyRushGameMode and destroys itself when the player enters it.

## Member Function Documentation

## _bind_methods()

void godot::KeyPickup::_bind_methods | ( |  | ) |

staticprivate

Required to be a valid godot class.

## _enter_tree()

void godot::KeyPickup::_enter_tree | ( |  | ) |

overridevirtual

Connect body_entered observer.

## body_entered()

void godot::KeyPickup::body_entered | ( | Node * | node | ) |

protected

Notify RallyRushGameMode that a key is found and destroy, if the entered node is a CarPlayer.

## GDCLASS()

godot::KeyPickup::GDCLASS | ( | KeyPickup | ,
|  | Area3D |
| ) |  |

private

The documentation for this class was generated from the following files:

- src/key_pickup.hpp
- src/key_pickup.cpp